Bio::Ontology::DocumentRegistry(3)

NAME
Bio::Ontology::DocumentRegistry - Keep track of where to find ontologies. Allows lookups by name.

SYNOPSIS
  my $registry = Bio::Ontology::DocumentRegistry->get_instance();
  my($ont,$def,$fmt) = $registry->documents('Sequence Ontology');

  my $io = Bio::OntologyIO->new(-url => $ont,
                                -defs_url => $def,
                                -format => $fmt);
  my $so = $io->next_ontology();
  #...

DESCRIPTION
Do not use this directly, use Bio::Ontology::OntologyStore instead. Bio::Ontology::OntologyStore uses Bio::Ontology::DocumentRegistry to load and cache ontologies as object graphs, you can just ask it for what you want by name. See Bio::Ontology::OntologyStore for details.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org              - General discussion
  http://bioperl.org/MailList.shtml  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.bioperl.org/

AUTHOR - Allen Day
Email allenday@ucla.edu

Describe contact details here

CONTRIBUTORS
Additional contributors names and emails here

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  get_instance()

Usage
    my $singleton = Bio::Ontology::DocumentRegistry->get_instance();

Function
    constructor

Returns
    The Bio::Ontology::DocumentRegistry singleton.

Arguments
    None

  documents()

Usage
    my($ontology_url, $definitions_url, $format) = $obj->documents('Sequence Ontology');

Function
    Maps an ontology name to a list of (local or) remote URIs where the files can be located.

Returns
    A 3-item list:

        (1) URI for the ontology file
        (2) URI for the ontology definitions file
        (3) format of the files (dagedit, obo, etc)

Arguments
    Name of an ontology, e.g. 'Sequence Ontology', or 'Cellular Component (Gene Ontology)'